Package javax.websocket.server

# Interface ServerEndpointConfig

All Superinterfaces:
  `EndpointConfig`

public interface ServerEndpointConfig extends EndpointConfig
Provides configuration information for WebSocket endpoints published to a server. Applications may provide their own implementation or use `ServerEndpointConfig.Builder`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final class`
  `ServerEndpointConfig.Builder`
  `static class`
  `ServerEndpointConfig.Configurator`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServerEndpointConfig.Configurator`
  `getConfigurator()`
  `Class<?>`
  `getEndpointClass()`
  `List<Extension>`
  `getExtensions()`
  `String`
  `getPath()`
  Returns the path at which this WebSocket server endpoint has been registered.
  `List<String>`
  `getSubprotocols()`

  ### Methods inherited from interface javax.websocket.EndpointConfig

  `getDecoders, getEncoders, getUserProperties`

- ## Method Details

  - ### getEndpointClass

    Class<?> getEndpointClass()

  - ### getPath

    String getPath()
    Returns the path at which this WebSocket server endpoint has been registered. It may be a path or a level 0 URI template.
    Returns:
      The registered path

  - ### getSubprotocols

    List<String> getSubprotocols()

  - ### getExtensions

    List<Extension> getExtensions()

  - ### getConfigurator

    ServerEndpointConfig.Configurator getConfigurator()